Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
[Java] Class MapEntry

    java.lang.Object
      groovy.util.MapEntry

All Implemented Interfaces:
  Entry

    public class MapEntry
    extends Object

A Map.Entry implementation.

Authors:
  James Strachan

Version:
  \$Revision: 16850 \$

Constructor Summary
`MapEntry(Object key, Object value)`

Method Summary
`boolean` | `equals(Object that)`
`boolean` | `equals(MapEntry that)`
`Object` | `getKey()`
`Object` | `getValue()`
`protected int` | `hash(Object object)` Helper method to handle object hashes for possibly null values
`int` | `hashCode()`
`void` | `setKey(Object key)`
`Object` | `setValue(Object value)`
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### MapEntry

    public MapEntry(Object key, Object value)

Method Detail

### equals

    public boolean equals(Object that)

### equals

    public boolean equals(MapEntry that)

### getKey

    public Object getKey()

### getValue

    public Object getValue()

### hash

    protected int hash(Object object)

  Helper method to handle object hashes for possibly null values

### hashCode

    public int hashCode()

### setKey

    public void setKey(Object key)

### setValue

    public Object setValue(Object value)

### toString

    public String toString()

Copyright © 2003-2010 The Codehaus. All rights reserved.